Subject: Form shows Fatal Error in Frontend

Description

The changes from #40364 that were merged yesterday fixed the Form Wizard in the Backend. But the Frontend now throws the

following Fatal Error:

Fatal error: Class \TYPO3\CMS\Form\Filter\RemovexssFilter' not found in
/path/to/typo3/sysext/core/Classes/Utility/GeneralUtility.php on line 4154

Related issues:

related to Core - Bug # 40195: Namespace: Form: make Filter Closed
related to Core - Bug # 41215: Form fatals in frontend after class renames Closed
duplicated by Core - Bug # 42272: CheckboxgroupElement not found Closed

2012-08-25
2012-09-21
2012-10-22

Associated revisions

Revision 201b7814 - 2012-11-15 10:32 - Ingo Pfennigstorf

[BUGFIX] Form shows Fatal Error in Frontend

This resolves the wrong instantiation of all classes
that contain uppercase characters within a certain
class name part, by adding the lowercased versions

to the class alias map.

Fixes: #40850
Releases: 6.0

Change-Id: 1973393a5476e5b0ee8a2500117de636e43513666
Reviewed-on: http://review.typo3.org/16362

Reviewed-by: Thomas Maroschik
Reviewed-by: Mattias Nilsson
Reviewed-by: Ingo Pfennigstorf
Tested-by: Ingo Pfennigstorf
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History

#1 - 2012-09-13 22:03 - Jigal van Hemert
- Status changed from New to Needs Feedback
http://review.typo3.org/16362

Can't reproduce it with current master. Can you post how to reproduce it? What is the form configuration you use?

#2 - 2012-09-14 08:47 - Mario Rimann

Jigal van Hemert wrote:

Can't reproduce it with current master. Can you post how to reproduce it? What is the form configuration you use?

It's still the same configuration that we used when we reported #40825 (configuration is attached as .txt file to that bug report).

To reproduce, just open that page with the form CE in the Frontend and see the Fatal Error.

#3 - 2012-09-15 08:15 - Jigal van Hemert

Tested your form from #40825 with current master on Windows and the form was displayed without any errors or flaws. Submitting an empty form

showed the error messages for the three mandatory fields.

Seems OS X specific problem?

#4 - 2012-09-22 15:28 - Dieter Bunkerd

Jigal van Hemert wrote:

Seems OS X specific problem?

No. The error appears also using Debian squeeze. | installed the Introduction Package (Beta2, after fixing #41084 with patch provided in #41245).

Then navigating to examples/forms/ shows this error.

PHP 5.3.3-7+squeeze14 with Suhosin-Patch (cli) (built: Aug 6 2012 20:08:59)

Copyright (c) 1997-2009 The PHP Group

Zend Engine v2.3.0, Copyright (c) 1998-2010 Zend Technologies
with Suhosin v0.9.32.1, Copyright (c) 2007-2010, by SektionEins GmbH

#5 - 2012-09-24 09:55 - Ingo Pfennigstorf

Can confirm this error with clean caches on a SLES box with 6.0.0beta2

#6 - 2012-09-24 20:44 - Wouter Wolters

https://review.typo3.org/#/c/14883/ for the fix

#7 - 2012-10-31 20:59 - Christian Kuhn
https://review.typo3.org/#/c/14883/

This is only reproducible on case sensitive filesystems ...

#8 - 2012-11-09 15:49 - Gerrit Code Review
- Status changed from Needs Feedback to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16362

#9 - 2012-11-15 01:18 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16362

#10 - 2012-11-15 11:30 - Ingo Pfennigstorf
- Status changed from Under Review to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:201b7814aac759110f7539afb58149741145b391.
